#define draw_radiobutton_radiobutton
// http://www.gm-d.de/wbb/game-maker/game-maker-programmierung/erweiterungen-tools/21194-easyrb-radiobuttons-zeichnen-und-abfrag/
// By derkimba
//draw_radiobutton_radiobutton(x1,y1,r,r_punkt,c_punkt,c_back,index,group)
var x1,y1,r,r_punkt,c_punkt,c_back,index,group;
x1 = argument0 // x-Position des Radiobuttons
y1 = argument1 // y-Position des Radiobuttons
r = argument2 // Radius des Radiobuttons
r_punkt = argument3 // Radius des Punktes
c_punkt = argument4 // Farbe des Punktes
c_back = argument5 // Hintergrundfarbe der Radiobuttons
index = argument6 // Eigener Index der abgefragt werden kann ob Radiobutton aktiviert ist
group = argument7 // Die Gruppe, der der Radiobutton angehrt
// Gruppe wird erstellt, falls sie nicht existiert
if(!variable_local_exists(group))
    {
    variable_local_set(group,ds_list_create())
    }
// Radiobutton wird seiner Gruppe zugewiesen und Standard auf deaktiviert gesetzt
if(!variable_local_exists(index)) 
{
ds_list_add(variable_local_get(group),index)
variable_local_set(index,0)
}

// Radiobutton wird gezeichnet
draw_circle_color(x1,y1,r,c_back,c_back,0)
draw_circle(x1,y1,r,1)
// Wenn Radiobutton aktiviert ist, wird auch sein grner Punkt gezeichnet
if(variable_local_get(index) == 1)
    {
    draw_circle_color(x1,y1,r_punkt,c_punkt,c_punkt,0)
    }
// Wenn die Maus ber dem Radiobutton ist
if(point_distance(x1,y1,mouse_x,mouse_y) < r)
    {
    // Wenn die Maus gedrckt wird
    if(mouse_check_button_pressed(mb_left))
            {
            // Alle Radiobuttons in der Gruppe werden deaktiviert
            var i;
            for(i = 0;i < ds_list_size(variable_local_get(group));i+=1)
                {
                variable_local_set(ds_list_find_value(variable_local_get(group),i),0)
                }
            // Der eigene Radiobutton wird aktiviert
            variable_local_set(index,1)
            }
    }
// Liefert zurck ob der Radiobutton aktiviert oder deaktiviert ist (0 oder 1)
return variable_local_get(index)



#define draw_radiobutton_sprite
// http://www.gm-d.de/wbb/game-maker/game-maker-programmierung/erweiterungen-tools/21194-easyrb-radiobuttons-zeichnen-und-abfrag/
// By derkimba
//draw_radiobutton_sprite(x1,y1,spr,i_0,i_1,index,group)
var x1,x2,r,index;
x1 = argument0 // x-Position des Radiobuttons
y1 = argument1 // y-Position des Radiobuttons
spr = argument2 // Sprite des Radiobuttons
i_0 = argument3 // ImageIndex wenn Radiobutton deaktiviert ist
i_1 = argument4 // ImageIndex wenn Radiobutton aktiviert ist
index = argument5 // Eigener Index der abgefragt werden kann ob Radiobutton aktiviert ist
group = argument6 // Die Gruppe, der der Radiobutton angehrt
// Gruppe wird erstellt, falls sie nicht existiert
if(!variable_local_exists(group))
    {
    variable_local_set(group,ds_list_create())
    }
// Radiobutton wird seiner Gruppe zugewiesen und Standard auf deaktiviert gesetzt
if(!variable_local_exists(index)) 
{
ds_list_add(variable_local_get(group),index)
variable_local_set(index,0)
}

// Wenn Radiobutton aktiviert ist, wird auch sein grner Punkt gezeichnet
if(variable_local_get(index) == 1)
    {
    draw_sprite(spr,i_1,x1,y1)
    }
else
    {
    draw_sprite(spr,i_0,x1,y1)
    }
// Wenn die Maus ber dem Radiobutton ist
if(mouse_x > x1 && mouse_x < x1+sprite_get_width(spr) && mouse_y > y1 && mouse_y < y1+sprite_get_height(spr))
    {
    // Wenn die Maus gedrckt wird
    if(mouse_check_button_pressed(mb_left))
            {
            // Alle Radiobuttons in der Gruppe werden deaktiviert
            var i;
            for(i = 0;i < ds_list_size(variable_local_get(group));i+=1)
                {
                variable_local_set(ds_list_find_value(variable_local_get(group),i),0)
                }
            // Der eigene Radiobutton wird aktiviert
            variable_local_set(index,1)
            }
    }
// Liefert zurck ob der Radiobutton aktiviert oder deaktiviert ist (0 oder 1)
return variable_local_get(index)



